from pydantic import BaseModel, ConfigDict, Field


class TransportModeDTO(BaseModel):
    key: str = Field(..., min_length=1, max_length=3)
    name: str

    model_config = ConfigDict(from_attributes=True)
